执行计算机使用操作(已弃用)
已弃用,请改用 executeSandboxAction
已弃用,请改用 executeSandboxAction
Path Parameters
sandboxId*string
沙箱 ID
orgId*string
组织 ID
Request Body
application/json
action*||||||||||||||
所有可能的计算机使用操作,带有可选的 callId
screenShotPutUrl?string
Optional screenshot upload URL, if provided, the screenshot will be uploaded to this URL using HTTP PUT method
Format
uriincludeScreenShot?boolean
是否在响应中包含操作后的截图 URL
Default
trueincludeCursorPosition?boolean
是否在响应中包含操作后的光标位置
Default
trueResponse Body
application/json
curl -X POST "https://loading/api/orgs/string/sandboxes/string/actions/computer-use" \ -H "Content-Type: application/json" \ -d '{ "action": { "type": "mouse:click", "x": { "type": "px", "value": 0 }, "y": { "type": "px", "value": 0 }, "button": 0 } }'{
"screenShot": "http://example.com",
"cursorPosition": {
"x": 0,
"y": 0,
"screenWidth": 0,
"screenHeight": 0,
"screenIndex": 0
},
"actionResult": null
}